import { MenuItemConstructorOptions, Response, Menu } from 'electron';
export declare enum EmojiStyle {
    Native = "native",
    Facebook30 = "facebook-3-0",
    Messenger10 = "messenger-1-0",
    Facebook22 = "facebook-2-2"
}
/**
For example, when 'emojiStyle' setting is set to 'messenger-1-0' it replaces
this URL:  https://static.xx.fbcdn.net/images/emoji.php/v9/t27/2/32/1f600.png
with this: https://static.xx.fbcdn.net/images/emoji.php/v9/z27/2/32/1f600.png
                                                 (see here) ^
*/
export declare function process(url: string): Promise<Response>;
export declare function generateSubmenu(updateMenu: () => Promise<Menu>): Promise<MenuItemConstructorOptions[]>;
